## org.hibernate.type
Class SerializationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.type.SerializationException

All Implemented Interfaces:
  Serializable

    public class SerializationException

extends HibernateException

Thrown when a property cannot be serializaed/deserialized

See Also:
  Serialized Form

Constructor Summary
`SerializationException(String message, Exception root)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SerializationException

    public SerializationException(String message,
                                  Exception root)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.